// wmsoapmsg.idl : IDL source for wmsoapmsg
//

// This file will be processed by the MIDL tool to
// produce the type library (wmsoapmsg.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(632E75DC-CC20-4A9B-8F6F-97BFEBD4E4B3),
	dual,
	nonextensible,
	helpstring("Iwmsoapmsg2 Interface"),
	pointer_default(unique)
]
interface Iwmsoapmsg2 : IDispatch{
	[id(1), helpstring("method Initialize")] HRESULT Initialize([in] BSTR bstrSvcName, [in] BSTR bstrPortName, [in] BSTR bstrNodeURI, [in] BSTR bstrSOAPAction, [in] BSTR bstrNextHopURL, [in] VARIANT_BOOL bExplicitTypingEnabled, [in] VARIANT_BOOL bNodeTypeEnabled, [in] IDispatch *pIDispatch, [out, retval] VARIANT_BOOL *pResult);
	[id(2), helpstring("method Deserialize")] HRESULT Deserialize([out, retval] VARIANT_BOOL *pResult);
	[id(3), helpstring("method Serialize")] HRESULT Serialize([out, retval] VARIANT_BOOL *pResult);
	[id(4), helpstring("method IsSOAPFault")] HRESULT IsSOAPFault([out, retval] VARIANT_BOOL *pResult);
	[id(5), helpstring("method GetNumHeaderElems")] HRESULT GetNumHeaderElems([out, retval] long *plNumber);
	[id(6), helpstring("method AddHeaderElem")] HRESULT AddHeaderElem([in] BSTR bstrNamespaceURI, [in] BSTR bstrName, [in] VARIANT varContent, [in] VARIANT_BOOL bMustUnderstand, [in] BSTR bstrActorURI, [out, retval] VARIANT_BOOL *pResult);
	[id(7), helpstring("method GetFirstHeaderElem")] HRESULT GetFirstHeaderElem([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] VARIANT *pvarContent, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrActorURI, [out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(8), helpstring("method GetNextHeaderElem")] HRESULT GetNextHeaderElem([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] VARIANT *pvarContent, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrActorURI, [in, out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(9), helpstring("method GetHeaderElem")] HRESULT GetHeaderElem([in] BSTR bstrNamespaceURI, [in] BSTR bstrName, [out] VARIANT *pvarContent, [out, retval] VARIANT_BOOL *pResult);
	[id(10), helpstring("method GetNumMethodParams")] HRESULT GetNumMethodParams([out, retval] long *plNumber);
	[id(11), helpstring("method AddMethodParam")] HRESULT AddMethodParam([in] BSTR bstrNamespaceURI, [in] BSTR bstrName, [in] VARIANT varContent, [in] VARIANT_BOOL bIsInParam, [in] VARIANT_BOOL bIsOutParam, [out, retval] VARIANT_BOOL *pResult);
	[id(12), helpstring("method GetFirstMethodParam")] HRESULT GetFirstMethodParam([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] VARIANT *pvarContent, [out] VARIANT_BOOL *pbIsInParam, [out] VARIANT_BOOL *pbIsOutParam, [out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(13), helpstring("method GetNextMethodParam")] HRESULT GetNextMethodParam([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] VARIANT *pvarContent, [out] VARIANT_BOOL *pbIsInParam, [out] VARIANT_BOOL *pbIsOutParam, [in, out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(14), helpstring("method ClearMethodParams")] HRESULT ClearMethodParams();
	[id(15), helpstring("method ClearHeaderElems")] HRESULT ClearHeaderElems();
	[id(16), helpstring("method GetMethodNS")] HRESULT GetMethodNS([out, retval] BSTR *pbstrNS);
	[id(17), helpstring("method SetMethodNS")] HRESULT SetMethodNS([in] BSTR bstrNS);
	[id(18), helpstring("method GetMethodName")] HRESULT GetMethodName([out, retval] BSTR *pbstrName);
	[id(19), helpstring("method SetMethodName")] HRESULT SetMethodName([in] BSTR bstrName);
	[id(20), helpstring("method GetReturnValue")] HRESULT GetReturnValue([out, retval] VARIANT *pvarValue);
	[id(21), helpstring("method SetReturnValue")] HRESULT SetReturnValue([in] VARIANT varValue);
	[id(22), helpstring("method GetSOAPAction")] HRESULT GetSOAPAction([out, retval] BSTR *pbstrSOAPAction);
	[id(23), helpstring("method SetSOAPAction")] HRESULT SetSOAPAction([in] BSTR bstrSOAPAction);
	[id(24), helpstring("method GetNodeURI")] HRESULT GetNodeURI([out, retval] BSTR *pbstrNodeURI);
	[id(25), helpstring("method SetNodeURI")] HRESULT SetNodeURI([in] BSTR bstrNodeURI);
	[id(26), helpstring("method SetSOAPFault")] HRESULT SetSOAPFault([in] BSTR bstrFaultCode, [in] BSTR bstrFaultCodeNS, [in] BSTR bstrFaultString, [in] VARIANT_BOOL bNeedDetail, [out, retval] VARIANT_BOOL *pResult);
	[id(27), helpstring("method SetSOAP12Fault")] HRESULT SetSOAP12Fault([in] BSTR bstrCode, [in] BSTR bstrCodeNS, [in] BSTR bstrSubcode, [in] BSTR bstrSubcodeNS,[in] BSTR bstrReason, [in] BSTR bstrReasonLangId, [out, retval] VARIANT_BOOL *pResult);
	[id(28), helpstring("method AddSOAP12ReasonText")] HRESULT AddSOAP12ReasonText([in] BSTR bstrText, [in] BSTR bstrLangId);
	[id(29), helpstring("method GetSOAP12ReasonText")] HRESULT GetSOAP12ReasonText([in] BSTR bstrLangId, [out] BSTR *pbstrText, [out, retval] VARIANT_BOOL *pResult);
	[id(30), helpstring("method GetFirstSOAP12ReasonText")] HRESULT GetFirstSOAP12ReasonText([out] BSTR *pbstrText, [out] BSTR *pbstrLangId, [out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(31), helpstring("method GetNextSOAP12ReasonText")] HRESULT GetNextSOAP12ReasonText([out] BSTR *pbstrText, [out] BSTR *pbstrLangId, [in, out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(32), helpstring("method GetNumFaultHeaderElems")] HRESULT GetNumFaultHeaderElems([out, retval] long *plNumber);
	[id(33), helpstring("method AddFaultHeaderElem")] HRESULT AddFaultHeaderElem([in] BSTR bstrNamespaceURI, [in] BSTR bstrName, [in] VARIANT varContent, [in] VARIANT_BOOL bMustUnderstand, [in] BSTR bstrActorURI, [out, retval] VARIANT_BOOL *pResult);
	[id(34), helpstring("method GetFirstFaultHeaderElem")] HRESULT GetFirstFaultHeaderElem([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] VARIANT *pvarContent, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrActorURI, [out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(35), helpstring("method GetNextFaultHeaderElem")] HRESULT GetNextFaultHeaderElem([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] VARIANT *pvarContent, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrActorURI, [in, out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(36), helpstring("method ClearFaultHeaderElems")] HRESULT ClearFaultHeaderElems();
	[id(37), helpstring("method GetNumFaultDetailElems")] HRESULT GetNumFaultDetailElems([out, retval] long *plNumber);
	[id(38), helpstring("method AddFaultDetailElem")] HRESULT AddFaultDetailElem([in] BSTR bstrNamespaceURI, [in] BSTR bstrName, [in] VARIANT varContent, [out, retval] VARIANT_BOOL *pResult);
	[id(39), helpstring("method GetFirstFaultDetailElem")] HRESULT GetFirstFaultDetailElem([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] VARIANT *pvarContent, [out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(40), helpstring("method GetNextFaultDetailElem")] HRESULT GetNextFaultDetailElem([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] VARIANT *pvarContent, [in, out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(41), helpstring("method ClearFaultDetailElems")] HRESULT ClearFaultDetailElems();
	[id(42), helpstring("method CheckMustUnderstand")] HRESULT CheckMustUnderstand([out, retval] VARIANT_BOOL *pResult);
	[id(43), helpstring("method SetRequestPhase")] HRESULT SetRequestPhase([in] VARIANT_BOOL bFlag);
	[id(44), helpstring("method IsRequestPhase")] HRESULT IsRequestPhase([out, retval] VARIANT_BOOL *pResult);
	[id(45), helpstring("method GetBuffer")] HRESULT GetBuffer([out] VARIANT *pvarBuffer, [out, retval] VARIANT_BOOL *pResult);
	[id(46), helpstring("method SetBuffer")] HRESULT SetBuffer([in] VARIANT varBuffer,  [out, retval] VARIANT_BOOL *pResult);
	[id(47), helpstring("method ClearSOAPFault")] HRESULT ClearSOAPFault();
	[id(48), helpstring("method GetNextHopURL")] HRESULT GetNextHopURL([out, retval] BSTR *bstrNextHopURL);
	[id(49), helpstring("method SetNextHopURL")] HRESULT SetNextHopURL([in] BSTR bstrNextHopURL);
	[id(50), helpstring("method IsIntermediary")] HRESULT IsIntermediary([out, retval] VARIANT_BOOL *pResult);
	[id(51), helpstring("method GetFaultDetailElem")] HRESULT GetFaultDetailElem([in] BSTR bstrNamespaceURI, [in] BSTR bstrName, [out] VARIANT *pvarContent, [out, retval] VARIANT_BOOL *pResult);
	[id(52), helpstring("method GetSOAPFaultCode")] HRESULT GetSOAPFaultCode([out, retval] BSTR *bstrFaultCode);
	[id(53), helpstring("method GetSOAPFaultCodeNS")] HRESULT GetSOAPFaultCodeNS([out, retval] BSTR *bstrFaultCodeNS);
	[id(54), helpstring("method GetSOAPFaultString")] HRESULT GetSOAPFaultString([out, retval] BSTR *bstrFaultString);
	[id(55), helpstring("method GetSOAPFaultNode")] HRESULT GetSOAPFaultNode([out, retval] BSTR *bstrFaultNode);
	[id(56), helpstring("method GetServiceName")] HRESULT GetServiceName([out, retval] BSTR *pbstrServiceName);
	[id(57), helpstring("method GetPortName")] HRESULT GetPortName([out, retval] BSTR *pbstrPortName);
	[id(58), helpstring("method ProcessRPC")] HRESULT ProcessRPC([out, retval] VARIANT_BOOL *pResult);
	[id(59), helpstring("method IsRPCStyle")] HRESULT IsRPCStyle([out, retval] VARIANT_BOOL *pResult);
	[id(60), helpstring("method GetNumHeaderElemsLiteral")] HRESULT GetNumHeaderElemsLiteral([out, retval] long *plNumber);
	[id(61), helpstring("method AddHeaderElemLiteral")] HRESULT AddHeaderElemLiteral([in] BSTR bstrNamespaceURI, [in] BSTR bstrName, [in] BSTR bstrLiteralXML, [in] VARIANT_BOOL bMustUnderstand, [in] BSTR bstrActorURI, [in] BSTR bstrEncodingStyle, [out, retval] VARIANT_BOOL *pResult);
	[id(62), helpstring("method GetHeaderElemLiteral")] HRESULT GetHeaderElemLiteral([in] BSTR bstrNamespaceURI, [in] BSTR bstrName, [out] BSTR *pbstrLiteralXML, [out, retval] VARIANT_BOOL *pResult);
	[id(63), helpstring("method GetFirstHeaderElemLiteral")] HRESULT GetFirstHeaderElemLiteral([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] BSTR *pbstrLiteralXML, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrActorURI, [out] BSTR *pbstrEncodingStyle, [out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(64), helpstring("method GetNextHeaderElemLiteral")] HRESULT GetNextHeaderElemLiteral([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] BSTR *pbstrLiteralXML, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrActorURI, [out] BSTR *pbstrEncodingStyle, [in, out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(65), helpstring("method GetNumFaultHeaderElemsLiteral")] HRESULT GetNumFaultHeaderElemsLiteral([out, retval] long *plNumber);
	[id(66), helpstring("method AddFaultHeaderElemLiteral")] HRESULT AddFaultHeaderElemLiteral([in] BSTR bstrNamespaceURI, [in] BSTR bstrName, [in] BSTR bstrLiteralXML, [in] VARIANT_BOOL bMustUnderstand, [in] BSTR bstrActorURI, [in] BSTR bstrEncodingStyle, [out, retval] VARIANT_BOOL *pResult);
	[id(67), helpstring("method GetFirstFaultHeaderElemLiteral")] HRESULT GetFirstFaultHeaderElemLiteral([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] BSTR *pbstrLiteralXML, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrActorURI, [out] BSTR *pbstrEncodingStyle, [out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(68), helpstring("method GetNextFaultHeaderElemLiteral")] HRESULT GetNextFaultHeaderElemLiteral([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] BSTR *pbstrLiteralXML, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrActorURI, [out] BSTR *pbstrEncodingStyle, [in, out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(69), helpstring("method SetBodyElemLiteral")] HRESULT SetBodyElemLiteral([in] BSTR bstrLiteralXML, [in] BSTR bstrEncodingStyle, [out, retval] VARIANT_BOOL *pResult);
	[id(70), helpstring("method GetBodyElemLiteral")] HRESULT GetBodyElemLiteral([out] BSTR *pbstrLiteralXML, [out, retval] VARIANT_BOOL *pResult);
	[id(71), helpstring("method IsNoContentResponse")] HRESULT IsNoContentResponse([out, retval] VARIANT_BOOL *pResult);
	[id(72), helpstring("method SetNoContentResponse")] HRESULT SetNoContentResponse([in] VARIANT_BOOL bValue);
	[id(73), helpstring("method GetPortAddress")] HRESULT GetPortAddress([out, retval] BSTR *pbstrAddress);
	[id(74), helpstring("method AddDIMEAttachmentReq")] HRESULT AddDIMEAttachmentReq([in] BSTR bstrId, [in] BSTR bstrType, [in] long TNF, [in] IUnknown *pIUnknown, [in] VARIANT Options, [out, retval] VARIANT_BOOL *pResult);
	[id(75), helpstring("method AddDIMEAttachmentResp")] HRESULT AddDIMEAttachmentResp([in] BSTR bstrId, [in] BSTR bstrType, [in] long TNF, [in] IUnknown *pIUnknown, [in] VARIANT Options, [out, retval] VARIANT_BOOL *pResult);
	[id(76), helpstring("method GetFirstDIMEAttachmentReq")] HRESULT GetFirstDIMEAttachmentReq([out] BSTR *pbstrId, [out] BSTR *pbstrType, [out] long *pTNF, [out] IUnknown **ppIUnknown, [out] VARIANT *Options, [out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(77), helpstring("method GetNextDIMEAttachmentReq")] HRESULT GetNextDIMEAttachmentReq([out] BSTR *pbstrId, [out] BSTR *pbstrType, [out] long *pTNF, [out] IUnknown **ppIUnknown, [out] VARIANT *Options,  [in, out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(78), helpstring("method GetFirstDIMEAttachmentResp")] HRESULT GetFirstDIMEAttachmentResp([out] BSTR *pbstrId, [out] BSTR *pbstrType, [out] long *pTNF, [out] IUnknown **ppIUnknown, [out] VARIANT *Options,  [out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(79), helpstring("method GetNextDIMEAttachmentResp")] HRESULT GetNextDIMEAttachmentResp([out] BSTR *pbstrId, [out] BSTR *pbstrType, [out] long *pTNF, [out] IUnknown **ppIUnknown, [out] VARIANT *Options,  [in, out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(80), helpstring("method GetDIMEAttachmentReq")] HRESULT GetDIMEAttachmentReq([in] BSTR bstrId, [out] BSTR *pbstrType, [out] long *pTNF, [out] IUnknown **ppIUnknown, [out] VARIANT *Options, [out, retval] VARIANT_BOOL *pResult);
	[id(81), helpstring("method GetDIMEAttachmentResp")] HRESULT GetDIMEAttachmentResp([in] BSTR bstrId, [out] BSTR *pbstrType, [out] long *pTNF, [out] IUnknown **ppIUnknown, [out] VARIANT *Options, [out, retval] VARIANT_BOOL *pResult);
	[id(82), helpstring("method GetNumReqAttachments")] HRESULT GetNumReqAttachments([out, retval] long *pNbr);
	[id(83), helpstring("method GetNumRespAttachments")] HRESULT GetNumRespAttachments([out, retval] long *pNbr);
    [id(84), helpstring("method GetSOAPVersion")] HRESULT GetSOAPVersion([out,retval] long *pVersion);
    [id(85), helpstring("method SetSOAPVersion")] HRESULT SetSOAPVersion([in] long lVersion);
	[id(86), helpstring("method SetRoles")] HRESULT SetRoles([in] VARIANT varRoles, [out, retval] VARIANT_BOOL *pResult);
	[id(87), helpstring("method GetRoles")] HRESULT GetRoles([out, retval] VARIANT *pvarRoles);
	[id(88), helpstring("method GetMUHeaderBlocks")] HRESULT GetMUHeaderBlocks([out, retval] VARIANT *pvarBlocks);
	[id(89), helpstring("method AddHeaderElem12")] HRESULT AddHeaderElem12([in] BSTR bstrNamespaceURI, [in] BSTR bstrName, [in] VARIANT varContent, [in] VARIANT_BOOL bMustUnderstand, [in] BSTR bstrRoleURI, [in] VARIANT_BOOL bRelay, [out, retval] VARIANT_BOOL *pResult);
	[id(90), helpstring("method GetFirstHeaderElem12")] HRESULT GetFirstHeaderElem12([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] VARIANT *pvarContent, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrRoleURI, [out] VARIANT_BOOL *pbRelay, [out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(91), helpstring("method GetNextHeaderElem12")] HRESULT GetNextHeaderElem12([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] VARIANT *pvarContent, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrRoleURI, [out] VARIANT_BOOL *pbRelay, [in, out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(92), helpstring("method AddHeaderElemLiteral12")] HRESULT AddHeaderElemLiteral12([in] BSTR bstrNamespaceURI, [in] BSTR bstrName, [in] BSTR bstrLiteralXML, [in] VARIANT_BOOL bMustUnderstand, [in] BSTR bstrRoleURI, [in] VARIANT_BOOL bRelay, [in] BSTR bstrEncodingStyle, [out, retval] VARIANT_BOOL *pResult);
	[id(93), helpstring("method GetFirstHeaderElemLiteral12")] HRESULT GetFirstHeaderElemLiteral12([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] BSTR *pbstrLiteralXML, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrRoleURI, [out] VARIANT_BOOL *pbRelay, [out] BSTR *pbstrEncodingStyle, [out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(94), helpstring("method GetNextHeaderElemLiteral12")] HRESULT GetNextHeaderElemLiteral12([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] BSTR *pbstrLiteralXML, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrRoleURI, [out] VARIANT_BOOL *pbRelay, [out] BSTR *pbstrEncodingStyle, [in, out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
    [id(95), helpstring("method AddFaultHeaderElem12")] HRESULT AddFaultHeaderElem12([in] BSTR bstrNamespaceURI, [in] BSTR bstrName, [in] VARIANT varContent, [in] VARIANT_BOOL bMustUnderstand, [in] BSTR bstrRoleURI, [in] VARIANT_BOOL bRelay, [out, retval] VARIANT_BOOL *pResult);
	[id(96), helpstring("method GetFirstFaultHeaderElem12")] HRESULT GetFirstFaultHeaderElem12([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] VARIANT *pvarContent, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrRoleURI, [out] VARIANT_BOOL *pbRelay, [out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(97), helpstring("method GetNextFaultHeaderElem12")] HRESULT GetNextFaultHeaderElem12([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] VARIANT *pvarContent, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrRoleURI, [out] VARIANT_BOOL *pbRelay, [in, out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(98), helpstring("method AddFaultHeaderElemLiteral12")] HRESULT AddFaultHeaderElemLiteral12([in] BSTR bstrNamespaceURI, [in] BSTR bstrName, [in] BSTR bstrLiteralXML, [in] VARIANT_BOOL bMustUnderstand, [in] BSTR bstrRoleURI, [in] VARIANT_BOOL bRelay, [in] BSTR bstrEncodingStyle, [out, retval] VARIANT_BOOL *pResult);
	[id(99), helpstring("method GetFirstFaultHeaderElemLiteral12")] HRESULT GetFirstFaultHeaderElemLiteral12([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] BSTR *pbstrLiteralXML, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrRoleURI, [out] VARIANT_BOOL *pbRelay, [out] BSTR *pbstrEncodingStyle, [out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(100), helpstring("method GetNextFaultHeaderElemLiteral12")] HRESULT GetNextFaultHeaderElemLiteral12([out] BSTR *pbstrNamespaceURI, [out] BSTR *pbstrName, [out] BSTR *pbstrLiteralXML, [out] VARIANT_BOOL *pbMustUnderstand, [out] BSTR *pbstrRoleURI, [out] VARIANT_BOOL *pbRelay, [out] BSTR *pbstrEncodingStyle, [in, out] long *plPosition, [out, retval] VARIANT_BOOL *pResult);
	[id(101), helpstring("method ProcessRPCGet")] HRESULT ProcessRPCGet([in] BSTR bstrSvcURI, [in] BSTR bstrExtraPath, [in] BSTR bstrQueryString, [out, retval] VARIANT_BOOL *pResult);
};
[
	uuid(ECC44E56-E249-41E9-8BBB-E518274B07FB),
	version(1.0),
	helpstring("wmsoapmsg 1.0 Type Library")
]
library wmsoapmsgLib
{
	importlib("stdole2.tlb");
	[
		uuid(90A76D26-14EA-4B34-976C-F4F981248B6E),
		helpstring("wmsoapmsg2 Class")
	]
	coclass wmsoapmsg2
	{
		[default] interface Iwmsoapmsg2;
	};
};
